<?php 

session_start(); 

echo ' <html> 
<head> 
    <meta charset="utf-8"/> 
    <title>ISPMobile</title> 
     
 <meta name="viewport" content="width=device-width, initial-scale=1"> 
    <link href="./assets/css/bootstrap.min.css" rel="stylesheet"> 
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css"> 
<script src="http://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script> 
     
    <script src="./assets/js/bootstrap.js"></script> 
</head> 
<body> 
    <div class="container"> 
       
      <nav class="navbar navbar-default"> 
        <div class="container-fluid"> 
          <div class="navbar-header"> 
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar"> 
              <span class="sr-only">Toggle navigation</span> 
              <span class="icon-bar"></span> 
              <span class="icon-bar"></span> 
              <span class="icon-bar"></span> 
            </button> 
            <a class="navbar-brand" href="/">ISPMobile</a> 
          </div> 
        </div> 
      </nav> '; 

class ISPmgr 
{ 
    /*  
    @String 
    */ 
    public $login = null; 
    /* 
    @String 
    */ 
    public $password = null; 
    /* 
    @string 
    */ 
    public $ip = null; 
    /* 
    @String 
    */ 
    public $port = null; 
    /* 
    @String 
    */ 
    public $url = null; 
  /* 
    @String 
    */ 
    public $session = null; 
     
    public function __construct($login = null, $password = null, $ip = null, $port = 1500, $session = null) 
    { 
        $this->login = $login; 
        $this->password = $password; 
        $this->ip = $ip; 
        $this->port = $port; 
    $this->session = $session; 
    if($session == null) 
        $this->url = 'https://' . $this->ip . ':' . $this->port . '/ispmgr?authinfo=' . $this->login . ':' . $this->password . '&out=xml'; 
    else  
    $this->url = 'https://' . $this->ip . ':' . $this->port . '/ispmgr?auth='.$this->session.'&out=xml'; 
    }  
     
    public function query($params = null) 
    { 
        $url = $this->url; 
        if($params != null)  
        { 
            $url .= '&func=' . $params; 
        } 
        
        @$get = file_get_contents($url); 
        if(trim($get) == 'access deny') 
        { 
            header('location: ?error'); 
        } 
        $xml = simplexml_load_string($get); 
        if(isset($xml->error)) 
        { 
            return false; 
        } else {  
            return $xml; 
        } 
    } 
} 


if( isset($_GET['error'])) 
{ 
    $_SESSION['isp_login'] = null; 
    $_SESSION['isp_pass'] = null; 
  $_SESSION['isp_sid'] = null; 
    echo '<div class="alert alert-warning alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><strong>Внимание!</strong> Ошибка в авторизации!</div>'; 
} 

    if(isset($_POST['submit'])) 
    { 
        $_SESSION['isp_login'] = $_POST['isp_login']; 
        $_SESSION['isp_pass'] = $_POST['isp_pass']; 
        $isp = new ISPmgr( htmlspecialchars($_SESSION['isp_login']), htmlspecialchars($_SESSION['isp_pass']), '31.148.99.178', 1500, htmlspecialchars($_SESSION['isp_sid'])); 
     
        if($isp->query( 'auth' ) === false)  
        { 
            echo '<div class="alert alert-danger alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><strong>Внимание!</strong> Произошла ошибка!</div>'; 
            $_SESSION['isp_login'] = null; 
        $_SESSION['isp_pass'] = null;     
      $_SESSION['isp_sid'] = null;         
        } else { 
      echo '<div class="alert alert-success alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><strong>Внимание!</strong> Вы успешно вошли!</div>'; 
      $xml = $isp->query( 'auth' ); 
      $_SESSION['isp_sid'] = (string)$xml->auth; 
        } 
         
    } 



if( isset($_SESSION['isp_login']) && isset($_SESSION['isp_pass']) ) 
{ 

    $isp = new ISPmgr( htmlspecialchars($_SESSION['isp_login']), htmlspecialchars($_SESSION['isp_pass']), '31.148.99.178', 1500, htmlspecialchars($_SESSION['isp_sid']) ); 

if (file_exists('./func/' . htmlspecialchars($_GET['func']) . '.php')) { 
    require('./func/' . htmlspecialchars($_GET['func']) . '.php'); 
} else { 
//echo $isp->url; 
        require ('func/index.php'); 
    } 
} else { 

echo ' <div class="col-md-4 col-md-offset-4"> 
            <div class="panel panel-default"> 
                  <div class="panel-heading"> 
                    <h3 class="panel-title"><center>Авторизация</center></h3> 
                 </div> 
                  <div class="panel-body"> 
                    <form action="?" method="post" role="form"> 
                    <fieldset> 
                          <div class="form-group"> 
                            <input class="form-control" placeholder="Логин" name="isp_login" type="text"> 
                        </div> 
                        <div class="form-group"> 
                            <input class="form-control" placeholder="Пароль" name="isp_pass" type="password"> 
                        </div> 
                         
                        <input name="submit" class="btn btn-lg btn-success btn-block" type="submit" value="Войти"> 
                    </fieldset> 
                      </form> 
                </div> 
            </div> 
        </div> 
    </div> 
</div> '; 

} 

echo ' <div class="container text-center"> 
  <hr> 
    <div class="row"> 
        <div class="col-lg-12"> 
            <ul class="nav nav-pills nav-justified"> 
                <li><a href="/">© 2016 Coded by MrCat</a></li> 
                <li><a href="#">Design by Traceroute</a></li> 
                <li><a href="#">Helping by shadrvlad</a></li> 
            </ul> 
        </div> 
    </div> 
</div> '; 
echo '</body></html>';